import greenfoot.*;

/**
 * Write a description of class P1 here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class P1 extends PlayerOne
{
    /**
     * Act - do whatever the P1 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private static final int jumpStrength = 25;
    private int level;
    private int jumped = 0;
    private int shotTimer = 0;
    private boolean direction;
    private int health = 30;
    
    public boolean getDirection()
    {
        return this.direction;
    }
    
    public void setDirection(boolean input)
    {
        this.direction=input;
    }
    
    public void act() 
    {
        checkKeys();
        checkFall();
        fire();
        die();
        checkForCollision();
    }    
    private void checkKeys()
    {
       

    if (Greenfoot.isKeyDown("a"))
    {
        moveLeft();
        setImage("man-left.png");
        this.setDirection(false);
    }
    if (Greenfoot.isKeyDown ("s"))
    {
        moveRight();
        setImage("man.png");
        this.setDirection(true);
    }
       
    if (Greenfoot.isKeyDown ("r"))
    {
        if (onGround())
        jump();
    }
        
    }    
    private void jump()
    {
        setVSpeed(-jumpStrength);
        fall();
        jumped++;
    }
    
    private void checkFall()
    {
       
        if (onGround())
        {
            setVSpeed(0);
        }
        else
        {
            fall();
        }
    }
    
    private void fire()
    {
       //Fire
        if(Greenfoot.isKeyDown("d"))
       {
          if(shotTimer >0 )
          {
          shotTimer = shotTimer - 1;
        }
        else if(Greenfoot.isKeyDown("d"))
        {
        if (direction==true)
       {
        getWorld().addObject(new FireRight(this), getX(), getY());
       }
       else
       {
        getWorld().addObject(new FireLeft(this), getX(), getY());
       }
       shotTimer =50;
       }
       }    
}

public void die()
{
    if (health==0)
    {
        getWorld().removeObject(this);
    }
}


    public void checkForCollision()
    {
        Actor fire2right= getOneIntersectingObject(Fire2Right.class);
        
        if (fire2right!=null)
        {
            getWorld().removeObject(fire2right);
            health = health-5;
            Arenas world=(Arenas) getWorld();
        p1health counter=world.getCounter();
        counter.bumpCount(5);
        }
        
        Actor fire2left= getOneIntersectingObject(Fire2Left.class);
        
        if (fire2left!=null)
        {
            getWorld().removeObject(fire2left);
            health = health-5;
            Arenas world=(Arenas) getWorld();
        p1health counter=world.getCounter();
        counter.bumpCount(5);
        }
        
        Actor fire3right= getOneIntersectingObject(Fire3Right.class);
        if (fire3right!=null)
        {
            getWorld().removeObject(fire3right);
            health = health-5;
            Arenas world=(Arenas) getWorld();
        p1health counter=world.getCounter();
        counter.bumpCount(5);
        }
        
        Actor fire3left= getOneIntersectingObject(Fire3Left.class);
        
        if (fire3left!=null)
        {
            getWorld().removeObject(fire3left);
            health = health-5;
            Arenas world=(Arenas) getWorld();
        p1health counter=world.getCounter();
        counter.bumpCount(5);
        }
        
    }
}
