import greenfoot.*;

/**
 * Write a description of class P2 here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class P2 extends PlayerTwo
{
    /**
     * Act - do whatever the P2 wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    private static final int jumpStrength = 25;
    private int level;
    private int jumped = 0;
    private int shotTimer = 0;
    private boolean direction;
    private int health = 30;
    
    public void act() 
    {
        checkKeys();
        checkFall();
        fire();
        die();
        checkForCollision();
    }    
    
     public boolean getDirection()
    {
        return this.direction;
    }
    
      public void setDirection(boolean input)
    {
        this.direction=input;
    }
    
     private void checkKeys()
    {
       

    if (Greenfoot.isKeyDown("k"))
    {
        moveLeft();
        setImage("p2-left.png");
        this.setDirection(false);
    }
    if (Greenfoot.isKeyDown ("l"))
    {
        moveRight();
        setImage("p2.png");
        this.setDirection(true);
    }
       
    if (Greenfoot.isKeyDown ("["))
    {
        if (onGround())
        jump();
    }
    
}
private void jump()
    {
        setVSpeed(-jumpStrength);
        fall();
        jumped++;
    }
    private void checkFall()
    {
       
        if (onGround())
        {
            setVSpeed(0);
        }
        else
        {
            fall();
        }
    }
        
    private void fire()
    {
       //Fire
       if(Greenfoot.isKeyDown(";"))
       {
          if(shotTimer >0 )
          {
          shotTimer = shotTimer - 1;
        }
        else if(Greenfoot.isKeyDown(";"))
        {
        if (direction==true)
       {
        getWorld().addObject(new Fire2Right(this), getX(), getY());
       }
       else
       {
        getWorld().addObject(new Fire2Left(this), getX(), getY());
       }
       shotTimer =50;
       }
       }    
}

public void die()
{
    if (health==0)
    {
        getWorld().removeObject(this);
    }
}

 public void checkForCollision()
    {
        Actor fireright= getOneIntersectingObject(FireRight.class);
        
        if (fireright!=null)
        {
            getWorld().removeObject(fireright);
            health = health-5;
            Arenas world=(Arenas) getWorld();
        p2health counter=world.obtainCounter();
        counter.bumpCount(5);
        }
        
        Actor fireleft= getOneIntersectingObject(FireLeft.class);
        
        if (fireleft!=null)
        {
            getWorld().removeObject(fireleft);
            health = health-5;
              Arenas world=(Arenas) getWorld();
        p2health counter=world.obtainCounter();
        counter.bumpCount(5);
        }
        
        Actor fire3right= getOneIntersectingObject(Fire3Right.class);
        
        if (fire3right!=null)
        {
            getWorld().removeObject(fireright);
            health = health-5;
            Arenas world=(Arenas) getWorld();
        p2health counter=world.obtainCounter();
        counter.bumpCount(5);
        }
        
        Actor fire3left= getOneIntersectingObject(Fire3Left.class);
        
        if (fire3left!=null)
        {
            getWorld().removeObject(fireleft);
            health = health-5;
              Arenas world=(Arenas) getWorld();
        p2health counter=world.obtainCounter();
        counter.bumpCount(5);
        }
    }
}
